// "Borrowed" from jshint's default reporter. Changed to drop the "data" field,
// return instead of sys.put, and expect an error object instead of...whatever
// it was taking before.

module.exports = function reporter(results) {
    var len = results.length,
        str = '\n\n';

    results.forEach(function (error) {
        str += '      * line ' + error.line + ', col ' +
            error.character + ', ' + error.reason + '\n';
    });

    return len > 0 ? (str + "\n" + len + ' error' + ((len === 1) ? '' : 's'))+"\n" : "Something so bizarre that jshint cannot detect it!";
};
