var jshint = require("jshint").JSHINT;
var reporter = require(__dirname + "/json-san/reporter");

var jsonhint = module.exports;
// TODO: Make a config that only catches Actual Errors.
var config = {};

jsonhint.parse = function(json, cb) {
  try {
    var obj = JSON.parse(json);

    if (cb) {
      cb(null, obj);
    } else {
      return obj;
    }
  } catch (err) {
    jshint(json, config);
    var hint = reporter(jshint.errors);

    if (!cb) {
      throw new Error(hint);
    } else {
      cb(err);
    }
  }
};

jsonhint.stringify = function(obj, cb) {
  try {
    var json = JSON.stringify(obj);

    if (cb) {
      cb(null, json);
    } else {
      return json;
    }
  } catch (err) {
    if (!cb) {
      throw err;
    } else {
      cb(err);
    }
  }
};
